'use strict';

const path = require('path');
const __cwd = process.cwd();
const __root = path.resolve(__dirname, '..');
const appPackage = require(path.join(__cwd, 'package.json'));

module.exports = {
    appPackage,
    appBuild: path.resolve(__cwd, 'build'),
    appSrc: path.resolve(__cwd, appPackage.easyv.src || 'src'),
    appComponents: path.resolve(__cwd, (appPackage.easyv || {}).components || 'src/components'),
    webpackConfigExtend: path.resolve(__cwd, 'webpack.extend.js'),
    lib: path.resolve(__root, 'lib'),
    public: path.resolve(__dirname, 'public'),
    ownLoaders: path.resolve(__dirname, 'loaders'),
    templates: path.resolve(__dirname, '../templates'),
    cliNodeModules: path.join(__dirname, '../node_modules'),
    __root
};