const http = require('http');

const HOST = '0.0.0.0';
module.exports = function autoAssignPort(port, callback) {
    var server = http.createServer();
    server.listen(port, HOST, function (err) {
        server.close(() => callback(port));
    });
    server.on('error', function (err) {
        autoAssignPort(port + 1, callback);
    });
}