import React from 'react';
import css from './styles/index.module.css';

export default function (props) {
  const { left, top, width, height, id, data } = props;

  // 自定义逻辑
  const styles = {
    position: 'absolute',
    left, top, width, height,
    textAlign: 'center'
  };

  /**
   * 固定格式: 返回的div必须有className/id属性
   */
  return (
    <div className="__easyv-component" style={styles} id={id}>
      <img src={require('./assets/logo.png')} />
      <div className={css.title}>{data[0].text}</div>
    </div>
  );
}